Bug 1016203 - UI should raise validation error when key value of custom info exceeds 255 characters
UI should raise validation error when key value of custom info exceeds 255 c...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.2
Unspecified Unspecified
medium Severity low (vote)
: Unspecified
: --
Assigned To: Walden Raines
Sachin Ghai
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 13:25 EDT by Sachin Ghai
Modified: 2014-07-02 10:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 10:05:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
when custom info value exceeds 255 characters..UI doesn't save the info..nothing happens on clicking 'save' button (72.36 KB, image/png)
2013-10-29 05:33 EDT, Sachin Ghai
no flags Details
UI raises validation error when custom info exceeds 255 char (44.45 KB, image/png)
2014-04-28 01:45 EDT, Sachin Ghai
no flags Details

  None (edit)
Description Sachin Ghai 2013-10-07 13:25:01 EDT
Description of problem:
UI should raise validation error when key value of custom info  exceeds 255 characters. Currently UI accepts 255 characters for key's value.. However when we input 256 characters nothing happens on UI even after clicking 'save' button.

Version-Release number of selected component (if applicable):
katello-1.4.6-20.el6sat.noarch

How reproducible:
always

Steps to Reproduce:
1. Create a custom info with a key and value greater than 255 characters
2.
3.

Actual results:
UI doesn't raise validation error.

Expected results:
UI should raise validation error on clicking 'save' button.

Additional info:
Comment 2 Walden Raines 2013-10-16 16:10:26 EDT
This is fixed in the new UI:

I now see:

Error occurred saving:
Validation failed: Keyname is too long (maximum is 255 characters), Value is too long (maximum is 255 characters)

and

Error occurred saving:
Validation failed: Value is too long (maximum is 255 characters)

when trying this.
Comment 3 Mike McCune 2013-10-17 17:06:06 EDT
Moving this to be tested during MDP3, not critical for MDP2 success story
Comment 4 Sachin Ghai 2013-10-29 05:31:16 EDT
Re-opening...Still reproducible in snap7 compose2 (MDP2)
Comment 5 Sachin Ghai 2013-10-29 05:33:35 EDT
Created attachment 817032 [details]
when custom info value exceeds 255 characters..UI doesn't save the info..nothing happens on clicking 'save' button
Comment 6 Walden Raines 2013-10-29 09:42:53 EDT
This may be related to bug #3275.
Comment 7 Walden Raines 2013-10-29 10:32:03 EDT
(In reply to Walden Raines from comment #6)
> This may be related to bug #3275.

Err, that's the PR, the bug is #1019690
Comment 8 Walden Raines 2014-04-07 12:01:01 EDT
Unassigning bugs I'm not currently working on.
Comment 9 Walden Raines 2014-04-09 15:27:02 EDT
PR: https://github.com/Katello/katello/pull/3965
Comment 10 Walden Raines 2014-04-11 09:55:12 EDT
commit e5f6da68d123494b50bb1a2efa997eb486aa279d
Merge: 6bf9abb 30d2809
Author: Walden Raines <walden@redhat.com>
Date:   Fri Apr 11 09:54:05 2014 -0400

    Merge pull request #3965 from waldenraines/bug-1016203
    
    Fixes #5145, BZ1016203: display error in UI on custom info errors.

commit 30d2809aeaa6f388ce876969dc542f207f1017d6
Author: Walden Raines <walden@redhat.com>
Date:   Wed Apr 9 15:25:41 2014 -0400

    Fixes #5145, BZ1016203: display error in UI on custom info errors.
Comment 12 Sachin Ghai 2014-04-28 01:43:49 EDT
Verified with:

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.7-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.7-1.el6_5.noarch
* candlepin-tomcat6-0.9.7-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.5.0.20-1.el6sat.noarch
* foreman-compute-1.5.0.20-1.el6sat.noarch
* foreman-libvirt-1.5.0.20-1.el6sat.noarch
* foreman-ovirt-1.5.0.20-1.el6sat.noarch
* foreman-postgresql-1.5.0.20-1.el6sat.noarch
* foreman-proxy-1.5.6-1.el6sat.noarch
* foreman-selinux-1.5.0-0.develop.el6sat.noarch
* katello-1.5.0-19.el6sat.noarch
* katello-apache-1.0-1.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.5-1.el6sat.noarch
* katello-installer-0.0.34-1.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-katello-plugins-0.2-1.el6sat.noarch
* pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch
* pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch
* pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch
* pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch
* pulp-selinux-2.3.1-0.4.beta.el6sat.noarch
* pulp-server-2.3.1-0.4.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch
* rubygem-hammer_cli-0.1.0-7.el6sat.noarch
* rubygem-hammer_cli_foreman-0.1.0-6.el6sat.noarch
* rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch
* rubygem-hammer_cli_katello-0.0.3-17.el6sat.noarch


Now UI raises a validation error when custom info exceeds 255 char.
Comment 13 Sachin Ghai 2014-04-28 01:45:36 EDT
Created attachment 890339 [details]
UI raises validation error when custom info exceeds 255 char
Comment 14 Bryan Kearney 2014-07-02 10:05:20 EDT
This was delivered with 6.0.3, which is the Satellite 6 Beta.

Note You need to log in before you can comment on or make changes to this bug.